Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class EnvironmentLockedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.EnvironmentLockedException

All Implemented Interfaces:
  Serializable

    public class EnvironmentLockedException

extends DatabaseException

Thrown by the Environment constructor when an environment cannot be opened for write access because another process has the same environment open for write access.

See Also:
  Serialized Form

Constructor Summary
`EnvironmentLockedException()`
`EnvironmentLockedException(String message)`
`EnvironmentLockedException(String message, Throwable t)`
`EnvironmentLockedException(Throwable t)`

Method Summary

Methods inherited from class com.sleepycat.je.DatabaseException
`getVersionHeader`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnvironmentLockedException

    public EnvironmentLockedException()

### EnvironmentLockedException

    public EnvironmentLockedException(Throwable t)

### EnvironmentLockedException

    public EnvironmentLockedException(String message)

### EnvironmentLockedException

    public EnvironmentLockedException(String message,
                                      Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.